set_property IOSTANDARD LVCMOS33 [get_ports sys_rst_n]
set_property LOC T15 [get_ports sys_rst_n]
set_property PULLUP true [get_ports sys_rst_n]

set_property -dict {PACKAGE_PIN B11} [get_ports {pci_exp_rxp[3]}]
set_property -dict {PACKAGE_PIN A11} [get_ports {pci_exp_rxn[3]}]
set_property -dict {PACKAGE_PIN B7}  [get_ports {pci_exp_txp[3]}]
set_property -dict {PACKAGE_PIN A7}  [get_ports {pci_exp_txn[3]}]

set_property -dict {PACKAGE_PIN D14} [get_ports {pci_exp_rxp[2]}]
set_property -dict {PACKAGE_PIN C14} [get_ports {pci_exp_rxn[2]}]
set_property -dict {PACKAGE_PIN D8}  [get_ports {pci_exp_txp[2]}]
set_property -dict {PACKAGE_PIN C8}  [get_ports {pci_exp_txn[2]}]

set_property -dict {PACKAGE_PIN B13} [get_ports {pci_exp_rxp[1]}]
set_property -dict {PACKAGE_PIN A13} [get_ports {pci_exp_rxn[1]}]
set_property -dict {PACKAGE_PIN B9}  [get_ports {pci_exp_txp[1]}]
set_property -dict {PACKAGE_PIN A9}  [get_ports {pci_exp_txn[1]}]

set_property -dict {PACKAGE_PIN D12} [get_ports {pci_exp_rxp[0]}]
set_property -dict {PACKAGE_PIN C12} [get_ports {pci_exp_rxn[0]}]
set_property -dict {PACKAGE_PIN D10} [get_ports {pci_exp_txp[0]}]
set_property -dict {PACKAGE_PIN C10} [get_ports {pci_exp_txn[0]}]


set_property -dict { PACKAGE_PIN "K18"   IOSTANDARD LVCMOS33   SLEW FAST} [get_ports { led_green }]    
set_property -dict { PACKAGE_PIN "L19"   IOSTANDARD LVCMOS33   SLEW FAST} [get_ports { led_blue }]


#set_property LOC IBUFDS_GTE2_X0Y3 [get_cells refclk_ibuf]

###############################################################################
# Timing Constraints
###############################################################################
create_clock -name sys_clk -period 10 [get_ports sys_clk_p]
set_property -dict {PACKAGE_PIN F11} [get_ports {sys_clk_p}]
set_property -dict {PACKAGE_PIN E11} [get_ports {sys_clk_n}]


# 
set_false_path -to [get_pins {pcie_7x_0_support_i/pipe_clock_i/pclk_i1_bufgctrl.pclk_i1/S0}]
set_false_path -to [get_pins {pcie_7x_0_support_i/pipe_clock_i/pclk_i1_bufgctrl.pclk_i1/S1}]
#
#
set_case_analysis 1 [get_pins {pcie_7x_0_support_i/pipe_clock_i/pclk_i1_bufgctrl.pclk_i1/S0}]
set_case_analysis 0 [get_pins {pcie_7x_0_support_i/pipe_clock_i/pclk_i1_bufgctrl.pclk_i1/S1}]
set_property DONT_TOUCH true [get_cells -of [get_nets -of [get_pins {pcie_7x_0_support_i/pipe_clock_i/pclk_i1_bufgctrl.pclk_i1/S0}]]]


#
# Timing ignoring the below pins to avoid CDC analysis, but care has been taken in RTL to sync properly to other clock domain.
#
###############################################################################
# Tandem Configuration Constraints n
###############################################################################

set_false_path -from [get_ports sys_rst_n]

###############################################################################
# End
###############################################################################
set_property BITSTREAM.CONFIG.CONFIGRATE 16 [current_design]
set_property BITSTREAM.GENERAL.COMPRESS TRUE [current_design]
set_property BITSTREAM.CONFIG.SPI_BUSWIDTH 4 [current_design]